# Partly based on Debian package by Ben Finney <ben+debian@benfinney.id.au>
# https://packages.debian.org/sid/inform6-library

%define uname   inform6lib

Name:           inform6-library
Version:        6.12.4
Release:        %mkrel 1
Summary:        Inform 6 interactive fiction language — library
Group:          Development/Other
License:        Artistic 2.0
URL:            https://inform-fiction.org
Source0:        https://gitlab.com/DavidGriffith/inform6lib/-/archive/%{version}/%{uname}-%{version}.tar.gz
BuildArch:      noarch

%description
Inform 6 is an object-oriented language for writing interactive fiction,
also known as “text adventures” or “adventure games”.

As an interactive fiction developer, you create Inform 6 source code defining
the story. Then compile from source code to a “story file”. The resulting
story files are highly portable, with interpreters available for many
different platforms.

This package installs the Inform 6 standard library.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build

%install
install -d %{buildroot}%{_datadir}/inform6/library
cp -a *.h %{buildroot}%{_datadir}/inform6/library

# Compatibility symbolic links
pushd %{buildroot}%{_datadir}/inform6/library
ln -s parser.h Parser.h
ln -s verblib.h VerbLib.h
ln -s verblib.h Verblib.h
ln -s english.h English.h
ln -s grammar.h Grammar.h
popd

%files
%doc ChangeLog README.txt voices_and_tenses.txt
%license ARTISTIC COPYING
%{_datadir}/inform6/library/


%changelog
* Fri Dec 11 2020 akien <akien> 6.12.4-1.mga8
+ Revision: 1655373
- Version 6.12.4

* Wed Feb 12 2020 umeabot <umeabot> 6.12.1-3.mga8
+ Revision: 1491305
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 6.12.1-2.mga7
+ Revision: 1263049
- Mageia 7 Mass Rebuild

* Sat Oct 08 2016 akien <akien> 6.12.1-1.mga6
+ Revision: 1059649
- Version 6.12.1

* Sun May 22 2016 akien <akien> 6.12-1.mga6
+ Revision: 1017458
- Imported package inform6-library
- Initial packaging based off the work of the Debian maintainer, Ben Finney
  o Further packaging will likely be kept in sync as he does a great job :)

